net.sf.okapi.common.annotation

## Class IssueAnnotation

- java.lang.Object
- - net.sf.okapi.common.annotation.GenericAnnotation
  - - net.sf.okapi.common.annotation.IssueAnnotation

-     public class IssueAnnotation
      extends GenericAnnotation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IssueAnnotation()`
    `IssueAnnotation(GenericAnnotation ann)`
    `IssueAnnotation(IssueType issueType, java.lang.String comment, double severity, java.lang.String segId, int srcStart, int srcEnd, int trgStart, int trgEnd, java.util.List<Code> codes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fromString(java.lang.String storage)`
    `java.lang.String` | `getCodes()` Gets the string list of the codes for this issue.
    `java.lang.String[]` | `getCodesAsArray()`
    `java.util.List<Code>` | `getCodesAsList()`
    `java.lang.String` | `getComment()`
    `boolean` | `getEnabled()`
    `IssueType` | `getIssueType()`
    `java.lang.String` | `getITSType()`
    `java.lang.String` | `getProfileRef()`
    `java.lang.String` | `getSegId()`
    `double` | `getSeverity()`
    `int` | `getSourceEnd()`
    `int` | `getSourceStart()`
    `int` | `getTargetEnd()`
    `int` | `getTargetStart()`
    `void` | `setCodes(java.util.List<Code> codes)`
    `void` | `setCodes(java.lang.String codes)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setIssueType(IssueType issueType)` Sets the issue type and its corresponding ITS type mapping.
    `void` | `setITSType(java.lang.String itsType)`
    `void` | `setProfileRef(java.lang.String profileRef)`
    `void` | `setSegId(java.lang.String segId)`
    `void` | `setSeverity(double severity)`
    `void` | `setSourcePosition(java.lang.Integer start, java.lang.Integer end)`
    `void` | `setTargetPosition(java.lang.Integer start, java.lang.Integer end)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class net.sf.okapi.common.annotation.GenericAnnotation

      `addAnnotation, addAnnotation, addAnnotation, clone, createFromString, getBoolean, getDouble, getFieldCount, getInteger, getString, getType, setBoolean, setDouble, setFields, setInteger, setString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IssueAnnotation

          public IssueAnnotation()

    - #### IssueAnnotation

          public IssueAnnotation(IssueType issueType,
                                 java.lang.String comment,
                                 double severity,
                                 java.lang.String segId,
                                 int srcStart,
                                 int srcEnd,
                                 int trgStart,
                                 int trgEnd,
                                 java.util.List<Code> codes)

    - #### IssueAnnotation

          public IssueAnnotation(GenericAnnotation ann)

  - ### Method Detail

    - #### getIssueType

          public IssueType getIssueType()

    - #### setIssueType

          public void setIssueType(IssueType issueType)

      Sets the issue type and its corresponding ITS type mapping. To override the default mapping, use `setITSType(String)`.
      Parameters:
        `issueType` - the issue type to set.

    - #### getITSType

          public java.lang.String getITSType()

    - #### setITSType

          public void setITSType(java.lang.String itsType)

    - #### getSegId

          public java.lang.String getSegId()

    - #### setSegId

          public void setSegId(java.lang.String segId)

    - #### getSourceStart

          public int getSourceStart()

    - #### getSourceEnd

          public int getSourceEnd()

    - #### setSourcePosition

          public void setSourcePosition(java.lang.Integer start,
                                        java.lang.Integer end)

    - #### getTargetStart

          public int getTargetStart()

    - #### getTargetEnd

          public int getTargetEnd()

    - #### setTargetPosition

          public void setTargetPosition(java.lang.Integer start,
                                        java.lang.Integer end)

    - #### getEnabled

          public boolean getEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getSeverity

          public double getSeverity()

    - #### setSeverity

          public void setSeverity(double severity)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getCodes

          public java.lang.String getCodes()

      Gets the string list of the codes for this issue.
      Returns:
        the string list of the codes for this issue.

    - #### getCodesAsArray

          public java.lang.String[] getCodesAsArray()

    - #### getCodesAsList

          public java.util.List<Code> getCodesAsList()

    - #### setCodes

          public void setCodes(java.util.List<Code> codes)

    - #### setCodes

          public void setCodes(java.lang.String codes)

    - #### getProfileRef

          public java.lang.String getProfileRef()

    - #### setProfileRef

          public void setProfileRef(java.lang.String profileRef)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `GenericAnnotation`

    - #### fromString

          public void fromString(java.lang.String storage)

      Overrides:
        `fromString` in class `GenericAnnotation`